# Generated by Django 3.2 on 2022-12-08 18:05

import administracao.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('administracao', '0004_limitecomissao'),
    ]

    operations = [
        migrations.AlterField(
            model_name='cliente',
            name='email',
            field=models.EmailField(max_length=254, verbose_name='E-mail'),
        ),
        migrations.AlterField(
            model_name='cliente',
            name='nome',
            field=models.CharField(max_length=255, verbose_name='Nome'),
        ),
        migrations.AlterField(
            model_name='cliente',
            name='telefone',
            field=models.CharField(max_length=11, validators=[administracao.validators.telefone_valido], verbose_name='Telefone'),
        ),
        migrations.AlterField(
            model_name='itemvenda',
            name='produto',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracao.produto', verbose_name='Produto'),
        ),
        migrations.AlterField(
            model_name='itemvenda',
            name='quantidade',
            field=models.PositiveIntegerField(verbose_name='Quantidade'),
        ),
        migrations.AlterField(
            model_name='itemvenda',
            name='valor_comissao',
            field=models.FloatField(blank=True, null=True, verbose_name='Valor da Comissão em R$'),
        ),
        migrations.AlterField(
            model_name='limitecomissao',
            name='dia_semana',
            field=models.PositiveIntegerField(choices=[(0, 'Segunda-Feira'), (1, 'Terça-Feira'), (2, 'Quarta-Feira'), (3, 'Quinta-Feira'), (4, 'Sexta-Feira'), (5, 'Sábado'), (6, 'Domingo')], default=0, unique=True, verbose_name='Dia da Semana'),
        ),
        migrations.AlterField(
            model_name='limitecomissao',
            name='maximo_comissao',
            field=models.PositiveIntegerField(verbose_name='Comissão Máxima'),
        ),
        migrations.AlterField(
            model_name='limitecomissao',
            name='minimo_comissao',
            field=models.PositiveIntegerField(verbose_name='Comissão Mínima'),
        ),
        migrations.AlterField(
            model_name='venda',
            name='cliente',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracao.cliente', verbose_name='Cliente'),
        ),
        migrations.AlterField(
            model_name='venda',
            name='data_hora',
            field=models.DateTimeField(auto_now=True, verbose_name='Data e Hora'),
        ),
        migrations.AlterField(
            model_name='venda',
            name='lista_produtos',
            field=models.ManyToManyField(to='administracao.ItemVenda', verbose_name='Lista de Produtos'),
        ),
        migrations.AlterField(
            model_name='venda',
            name='numero_nota_fiscal',
            field=models.PositiveIntegerField(verbose_name='Número da Nota Fiscal'),
        ),
        migrations.AlterField(
            model_name='venda',
            name='vendedor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracao.vendedor', verbose_name='Vendendor'),
        ),
        migrations.AlterField(
            model_name='vendedor',
            name='email',
            field=models.EmailField(max_length=254, verbose_name='E-mail'),
        ),
        migrations.AlterField(
            model_name='vendedor',
            name='nome',
            field=models.CharField(max_length=255, verbose_name='Nome'),
        ),
        migrations.AlterField(
            model_name='vendedor',
            name='telefone',
            field=models.CharField(max_length=11, validators=[administracao.validators.telefone_valido], verbose_name='Telefone'),
        ),
    ]
